## modello 1.1

=== debian/changelog ===
modello (1.1-2) unstable; urgency=low

  * Change Build-Depends: default-jdk-doc. (Closes: #567286)
  * Remove Paul from Uploaders.
  * Update Standards-Version: 3.8.4
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 17:18:12 +0200

modello (1.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on debhelper >= 7.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 28 Sep 2009 09:28:10 +0200

modello (1.0.1-4) unstable; urgency=low

  * Add versioned dependency on libplexus-containers-java
    to avoid FTBFS on other packages

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 04 Sep 2009 21:43:49 +0100

modello (1.0.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 23:00:01 +0200

modello (1.0.1-2) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Add descriptors for the Maven repository
  * Remove modello-maven-plugin from this package as it was missing some
    essential Maven descriptors, move it in a separate package
    (modello-maven-plugin), remove modello-test from the build as well.  
  * Add Depends: for libmodello-java and libplexus-build-api-java
  * Add a Build-Depends-Indep dependency on maven-repo-helper and 
    libplexus-build-api-java
  * Remove the dependency on maven2, as it was needed only for the modello 
    plugin, replace it by a Recommends: 
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * debian/rules: add java plugin, remove jpox,plexus-registry,store plugins,
    remove base module db-keywords 
  * update build.properties and build.xml for the new version

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 06 Jul 2009 22:37:50 +0100

modello (1.0-alpha-21-3) unstable; urgency=low

  * Change debian/rules to really use default-jdk.

 -- Torsten Werner <twerner@debian.org>  Mon, 06 Jul 2009 22:16:42 +0200

modello (1.0-alpha-21-2) unstable; urgency=low

  * Change Section: java.
  * Add missing Depends: ${misc:Depends}.
  * Update Standards-Version: 3.8.2 (no changes).
  * Switch to default-jdk. (Closes: #526291)

 -- Torsten Werner <twerner@debian.org>  Wed, 01 Jul 2009 22:54:30 +0200

modello (1.0-alpha-21-1) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Add watch file.
  * Add Vcs-* and Homepage header.
  * Bump up Standards-Version: 3.8.0.
  * Build all modules, plugins, and javadoc.
  * Refactor the build process.

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Nov 2008 13:40:56 +0100

modello (1.0-alpha-8-1) unstable; urgency=low

  * Initial release. (Closes: 421626)

 -- Paul Cager <paul-debian@home.paulcager.org>  Mon, 18 Jun 2007 16:15:16 +0100
