=== debian/control ===
Source: modello
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>
Build-Depends-Indep: maven-repo-helper, maven-ant-helper (>> 4), ant, ant-optional, 
 default-jdk-doc, junit, libplexus-containers-java-doc, libplexus-utils-java-doc, 
 libplexus-compiler-api-java, libplexus-compiler-javac-java,
 libplexus-build-api-java, libplexus-containers-java (>= 1.0~beta3.0.7)
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.5.3), default-jdk
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/modello
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/modello/
Homepage: http://modello.codehaus.org

Package: libmodello-java
Architecture: all
Depends: ${misc:Depends}, libplexus-build-api-java, libplexus-containers-java (>= 1.0~beta3.0.7)
Recommends: libmaven2-core-java
Suggests: maven2, libmodello-java-doc
Description: a Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.

Package: libmodello-java-doc
Architecture: all
Section: doc
Depends: default-jdk-doc, ${misc:Depends}
Suggests: libmodello-java
Description:  a Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.
 .
 This package provides the API documentation for Modello.
