=== debian/watch ===
version=3
https://svn.codehaus.org/modello/tags/ modello-(\d.*)/ debian debian/orig-tar.sh
