## modello 1.8.3

=== debian/changelog ===
modello (1.8.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Mar 2016 16:12:53 +0100

modello (1.8.3-2) unstable; urgency=medium

  * Team upload.
  * Build with maven-debian-helper
  * Depend on libplexus-container-default1.5-java instead
    of libplexus-containers-java
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 16 Feb 2016 11:55:35 +0100

modello (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Added a patch preserving the compatibility with plexus-utils 1.x

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Jul 2015 12:46:15 +0200

modello1.4 (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/watch: Updated the URL of the page watched
  * Standards-Version updated to 3.9.6 (no changes)
  * debian/copyright: Converted to the Copyright Format 1.0
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Mar 2015 17:14:52 +0100

modello1.4 (1.4.1-2) unstable; urgency=low

  * Team upload
  * debian/control:
    - Build depend directly on libplexus-compiler-java
    - Removed Michael Koch from the uploaders (Closes: #654120)
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.5 (no changes)
    - Fixed the lintian warnings related to the package descriptions
  * debian/rules: Improved the clean target
  * Switch to debhelper level 9
  * debian/watch: Updated to watch the new release tags on Github
  * debian/orig-tar.sh: Use the tarball from Github instead of the SVN tag

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Nov 2013 15:34:06 +0100

modello1.4 (1.4.1-1) unstable; urgency=low

  * New upstream release:
    - based on modello source package.
    - require new source package to avoid conflict between Maven 2 / Maven 3.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Dec 2011 03:01:18 +0100
