=== debian/control ===
Source: modello
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Ludovic Claude <ludovic.claude@laposte.net>,
           Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 9), default-jdk
Build-Depends-Indep: default-jdk-doc,
                     junit,
                     libmaven-dependency-plugin-java,
                     libmaven-javadoc-plugin-java,
                     libplexus-build-api-java,
                     libplexus-compiler-java,
                     libplexus-containers1.5-java,
                     maven-debian-helper
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-java/modello.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/modello.git
Homepage: http://modello.codehaus.org

Package: libmodello-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}, libmodello-java-doc
Description: Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.

Package: libmodello-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${maven:DocDepends}
Suggests: libmodello-java
Description: Data Model toolkit in use by the Maven 2 Project (documentation)
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.
 .
 This package provides the API documentation for Modello.
