## modello 1.9.1

=== debian/changelog ===
modello (1.9.1-3) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on libjsoup-java (Closes: #882406)
  * Depend on libplexus-container-default-java
    instead of libplexus-container-default1.5-java
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 22 Nov 2017 12:54:38 +0100

modello (1.9.1-2) unstable; urgency=medium

  * Team upload.
  * Added the missing Maven rules to ensure Maven 3 is used
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Jul 2017 17:46:34 +0200

modello (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jun 2017 15:30:39 +0200

modello (1.9.1-1~exp2) experimental; urgency=medium

  * Team upload.
  * Rebuild with maven-debian-helper (>= 2.2~)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 May 2017 12:13:52 +0200

modello (1.9.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Updated the URL of the project homepage
  * Switch to debhelper level 10
  * Removed debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 May 2017 15:58:47 +0200

modello (1.8.3-3) unstable; urgency=medium

  * Team upload.
  * Added an explicit build dependency on libjdom1-java (Closes: #829102)
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 30 Jun 2016 18:14:58 +0200
