=== debian/control ===
--- 
+++ 
@@ -2,22 +2,27 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Torsten Werner <twerner@debian.org>,
-           Ludovic Claude <ludovic.claude@laposte.net>,
-           Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 9), default-jdk
-Build-Depends-Indep: default-jdk-doc,
-                     junit,
-                     libmaven-dependency-plugin-java,
-                     libmaven-javadoc-plugin-java,
-                     libplexus-build-api-java,
-                     libplexus-compiler-java,
-                     libplexus-containers1.5-java,
-                     maven-debian-helper
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-java/modello.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/modello.git
-Homepage: http://modello.codehaus.org
+Uploaders:
+ Torsten Werner <twerner@debian.org>,
+ Ludovic Claude <ludovic.claude@laposte.net>,
+ Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends:
+ debhelper (>= 10),
+ default-jdk,
+ default-jdk-doc,
+ junit,
+ libjdom1-java,
+ libjsoup-java,
+ libmaven-dependency-plugin-java,
+ libmaven-javadoc-plugin-java,
+ libplexus-build-api-java,
+ libplexus-compiler-java,
+ libplexus-container-default-java (>= 1.7.1-6~),
+ maven-debian-helper (>= 2.2~)
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/modello.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/modello.git
+Homepage: http://codehaus-plexus.github.io/modello/
 
 Package: libmodello-java
 Architecture: all
