## modello 1.11

=== debian/changelog ===
modello (1.11-2) unstable; urgency=medium

  * Team upload.
  * Ignore the dependency on xerces and xml-apis (Closes: #1086297)
  * Standards-Version updated to 4.7.0
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Oct 2024 00:00:14 +0100

modello (1.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on junit4 instead of junit
  * Removed the -java-doc package
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Jul 2019 16:24:58 +0200

modello (1.9.1-4) unstable; urgency=medium

  * Team upload.
  * Ignore the dependency on the StAX API (provided by the JDK)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889390)
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jul 2018 23:37:01 +0200
