=== debian/control ===
Source: modello
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 junit4,
 libjdom1-java,
 libjsoup-java,
 libmaven-dependency-plugin-java,
 libplexus-build-api-java,
 libplexus-compiler-java,
 libplexus-container-default-java (>= 1.7.1-6~),
 maven-debian-helper (>= 2.2~)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/modello.git
Vcs-Browser: https://salsa.debian.org/java-team/modello
Homepage: http://codehaus-plexus.github.io/modello/

Package: libmodello-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.
